IBM WebSphere Application Server 6.1 < Multiple Vulnerabilities

Medium Nessus Plugin ID 51510


The remote application server is affected by multiple vulnerabilities.


IBM WebSphere Application Server 6.1 before Fix Pack 35 appears to be running on the remote host. As such, it is reportedly affected by multiple vulnerabilities :

- An unspecified cross-site scripting vulnerability exists in the Administration Console. (PM14251)

- A double free error in BBOOORBR control block could trigger a denial of service condition. (PM17170)

- An unspecified cross-site scripting vulnerability exists in the web container. (PM18512)

- It is possible for authenticated users to trigger a DoS condition by using Lightweight Third-Party Authentication (LTPA) tokens for authentication.

- Sensitive wsadmin command parameters are included in trace files, which could result in an information disclosure vulnerability. (PM18736)

- An unspecified cross-site request forgery vulnerability exists in the Administration Console. (PM18909)

- User credentials are not cleared from the cache, even after a user has logged out. (PM21536)

- An unspecified vulnerability could allow improper access to console servlets. (PM24372)


If using WebSphere Application Server, apply Fix Pack 35 ( or later.

Otherwise, if using embedded WebSphere Application Server packaged with Tivoli Directory Server, apply the latest recommended eWAS fix pack.

See Also

Plugin Details

Severity: Medium

ID: 51510

File Name: websphere_6_1_0_35.nasl

Version: $Revision: 1.13 $

Type: remote

Family: Web Servers

Published: 2011/01/13

Modified: 2016/05/06

Dependencies: 57034

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:websphere_application_server

Required KB Items: www/WebSphere

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/12/17

Vulnerability Publication Date: 2010/12/17

Reference Information

CVE: CVE-2010-0783, CVE-2010-0785, CVE-2011-0315, CVE-2011-0316, CVE-2011-1310, CVE-2011-1313, CVE-2011-1319, CVE-2011-1320

BID: 43875, 44670, 45800, 45802

OSVDB: 68537, 69007, 70386, 70387, 73347, 73350, 73379, 73381

Secunia: 42136

CWE: 20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990